## ros-noetic-turtlebot3-teleop 1.2.5

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 2.8.3)
project(turtlebot3_teleop)

################################################################################
# Find catkin packages and libraries for catkin and system dependencies
################################################################################
find_package(catkin REQUIRED COMPONENTS
  rospy
  geometry_msgs
)

################################################################################
# Setup for python modules and scripts
################################################################################
catkin_python_setup()

################################################################################
# Declare ROS messages, services and actions
################################################################################

################################################################################
# Declare ROS dynamic reconfigure parameters
################################################################################

################################################################################
# Declare catkin specific configuration to be passed to dependent projects
################################################################################
catkin_package(
  CATKIN_DEPENDS rospy geometry_msgs
)

################################################################################
# Build
################################################################################

################################################################################
# Install
################################################################################
catkin_install_python(PROGRAMS
  nodes/turtlebot3_teleop_key
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

################################################################################
# Test
################################################################################

=== debian/changelog ===
ros-noetic-turtlebot3-teleop (1.2.5-1buster) buster; urgency=high

  * Python 2/3 compatibility fix
  * Contributors: Sean Yen

 -- Will Son <willson@robotis.com>  Tue, 29 Dec 2020 15:00:00 -0000

ros-noetic-turtlebot3-teleop (1.2.4-1buster) buster; urgency=high

  * Package info updated
  * Contributors: Will Son

 -- Will Son <willson@robotis.com>  Mon, 28 Sep 2020 15:00:00 -0000

ros-noetic-turtlebot3-teleop (1.2.3-1buster) buster; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Mon, 02 Mar 2020 15:00:00 -0000

ros-noetic-turtlebot3-teleop (1.2.2-1buster) buster; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-noetic-turtlebot3-teleop (1.2.1-1buster) buster; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-noetic-turtlebot3-teleop (1.2.0-1buster) buster; urgency=high

  * added windows port #358 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/358>
  * Contributors: Sean Yen, Taehun Lim

 -- Will Son <willson@robotis.com>  Mon, 21 Jan 2019 15:00:00 -0000

ros-noetic-turtlebot3-teleop (1.1.0-1buster) buster; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Sun, 22 Jul 2018 15:00:00 -0000

ros-noetic-turtlebot3-teleop (1.0.0-1buster) buster; urgency=high

  * added constrain to limit velocity
  * modified initial value, profile function, limit velocity msg
  * modified global names #211 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/211> from FurqanHabibi/fix_global_topic_name
  * Contributors: Darby Lim, Muhammad Furqan Habibi, Pyo

 -- Will Son <willson@robotis.com>  Mon, 28 May 2018 15:00:00 -0000

ros-noetic-turtlebot3-teleop (0.2.1-1buster) buster; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-noetic-turtlebot3-teleop (0.2.0-1buster) buster; urgency=high

  * refactoring for release
  * Contributors: Pyo

 -- Will Son <willson@robotis.com>  Sun, 11 Mar 2018 15:00:00 -0000

ros-noetic-turtlebot3-teleop (0.1.6-1buster) buster; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Sun, 13 Aug 2017 15:00:00 -0000

ros-noetic-turtlebot3-teleop (0.1.5-1buster) buster; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Wed, 24 May 2017 15:00:00 -0000

ros-noetic-turtlebot3-teleop (0.1.4-1buster) buster; urgency=high

  * modified launch file name
  * added teleop package
  * Contributors: Darby Lim

 -- Will Son <willson@robotis.com>  Mon, 22 May 2017 15:00:00 -0000

ros-noetic-turtlebot3-teleop (0.1.3-1buster) buster; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000

=== debian/control ===
Source: ros-noetic-turtlebot3-teleop
Section: misc
Priority: optional
Maintainer: Will Son <willson@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-rospy
Homepage: http://wiki.ros.org/turtlebot3_teleop
Standards-Version: 3.9.2

Package: ros-noetic-turtlebot3-teleop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geometry-msgs, ros-noetic-rospy
Description: Provides teleoperation using keyboard for TurtleBot3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-turtlebot3-teleop//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
